Description

Supportanfrage

Hier noch ein paar Findings und eine Frage von meinem Kollegen:

Folgende Probleme sind mir aufgefallen:

Bei ADTF DAT File Recorder + ADTF GUI Control.  *   Im Runlevel running kann man recording - stop recording - recording - stop

recording und man erhält zwei Files  *   Wenn man nun im Runlevel running ein Recording macht und dann DeInit - Init funktioniert

das Recordíng Interface nicht mehr, die Buttons bleiben grau.

Im DemoQtMediadiscription-Display passiert es öfter, dass die Zeilen vervielfältigt werden. War im Replay und hängt evtl. mit

Deinit-Init oder Loop-Mode zusammen.

Beim Configuration Editor wäre es nett, wenn die beim letzten Speichern aktive Session beim neu Öffnen wieder aktiv ist. (Im Project

File speichern?)

Dann noch eine Frage: Wenn ich im Subgraph einen Data-Inport mit einem Filter-Pin verbinde, wird ein Sample-Stream eingefügt.

Dann aber auch wenn ich in einem Graph einen Filter-Output-Pin mit einem Subgraph-Pin verbinde. Würde da nicht einer reichen?

Is there a tool to repair/handle temp recordings, like in ADTF 2?

Lösung

Im Runlevel running kann man recording - stop recording - recording - stop recording und man erhält zwei Files

 ich weiß nicht ob ich dich richtig verstehe...

kann es sein, dass du es mit den "Temp Files" verwechselst ? Wenn der Recorder in File Based Mode ist (das ist er default), wird im

Runlevel Running sofort ein File angelegt (wegen History). Wenn du nun startest und stopst wird es finalisiert, gleichzeitig aber ein

neues aufgemacht (selbes Spielchen wie zu Beginn). Erst wenn du RL_Running verlässt, wird es obsolet und verworfen.

Bitte nachschärfen, sollte ich den Fall nicht verstehen.

Wenn man nun im Runlevel running ein Recording macht und dann DeInit - Init funktioniert das Recordíng Interface nicht mehr,

die Buttons bleiben grau.

 Ja, da ist irgendwie der Wurm drin... Hab ein Ticket angelegt -> ACORE-10562

Im DemoQtMediadiscription-Display passiert es öfter, dass die Zeilen vervielfältigt werden. War im Replay und hängt evtl. mit

Deinit-Init oder Loop-Mode zusammen.

 Ei ei ei... da ist beim Redesign wohl der Repaint beim Reset der Streamtime verloren gegangen -> ACORE-10563 angelegt

Beim Configuration Editor wäre es nett, wenn die beim letzten Speichern aktive Session beim neu Öffnen wieder aktiv ist. (Im

Project File speichern?)
 Hab ne Anforderung an das Project File gestellt -> ACORE-10564

Allerdings muss bewertet werden, ob der CE dann weitere Parameter braucht, wenn jmd zum Bsp. das nicht möchte und lieber die

"default" Session (oder eine x-beliebige) zu laden ist.

Dann noch eine Frage: Wenn ich im Subgraph einen Data-Inport mit einem Filter-Pin verbinde, wird ein Sample-Stream

eingefügt. Dann aber auch wenn ich in einem Graph einen Filter-Output-Pin mit einem Subgraph-Pin verbinde. Würde da nicht

einer reichen?

 Das ist denke ich Defintionssache.

Ein Data Port benötigt einen Sample Stream.

Ein Subgraph verhält sich wie ein Filter.

Filter zu Filter müssen via Sample Streams verbunden werden.

Zudem ist ein Subgraph ein eigener abgeschlossener Block, der wiederrum seinen Vorgaben unterliegt.

Rein logisch kann ich deinen Gedankengang nachvollziehen.

Martin, ist das so richtig ?

Is there a tool to repair/handle temp recordings, like in ADTF 2?

 Bisher nicht, das ist lauf Kufo Beschluss onhold, weil erst einmal erroiert werden muss, was und wie invalide Files zustande

kommen.

Hier hat man auch nur begrenzt Einfluss zu reparieren mit einen Vergleichsfile, deshalb wird das stets beobachtet.

Bisher war es meistens sogar möglich, die tmp Files abzuspielen.

Hast du hier konkreten Bedarf aktuell, auch wie man es z.b synthetisiert ?

History

#1 - 2020-06-22 08:53 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to ADTF::CE

- Support Level changed from 2nd Level to 3rd Level

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3.7.1 added

#2 - 2020-06-26 14:02 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10562; https://www.cip.audi.de/jira/browse/ACORE-10563;

https://www.cip.audi.de/jira/browse/ACORE-10564

Hi Anja,

Im Runlevel running kann man recording - stop recording - recording - stop recording und man erhält zwei Files

 ich weiß nicht ob ich dich richtig verstehe...

kann es sein, dass du es mit den "Temp Files" verwechselst ? Wenn der Recorder in File Based Mode ist (das ist er default), wird im Runlevel

Running sofort ein File angelegt (wegen History). Wenn du nun startest und stopst wird es finalisiert, gleichzeitig aber ein neues aufgemacht (selbes

Spielchen wie zu Beginn). Erst wenn du RL_Running verlässt, wird es obsolet und verworfen.

Bitte nachschärfen, sollte ich den Fall nicht verstehen.

Wenn man nun im Runlevel running ein Recording macht und dann DeInit - Init funktioniert das Recordíng Interface nicht mehr, die Buttons

bleiben grau.

 Ja, da ist irgendwie der Wurm drin... Hab ein Ticket angelegt -> ACORE-10562

Im DemoQtMediadiscription-Display passiert es öfter, dass die Zeilen vervielfältigt werden. War im Replay und hängt evtl. mit Deinit-Init oder

Loop-Mode zusammen.
 Ei ei ei... da ist beim Redesign wohl der Repaint beim Reset der Streamtime verloren gegangen -> ACORE-10563 angelegt

Beim Configuration Editor wäre es nett, wenn die beim letzten Speichern aktive Session beim neu Öffnen wieder aktiv ist. (Im Project File

speichern?)

 Hab ne Anforderung an das Project File gestellt -> ACORE-10564

Allerdings muss bewertet werden, ob der CE dann weitere Parameter braucht, wenn jmd zum Bsp. das nicht möchte und lieber die "default" Session

(oder eine x-beliebige) zu laden ist.

Dann noch eine Frage: Wenn ich im Subgraph einen Data-Inport mit einem Filter-Pin verbinde, wird ein Sample-Stream eingefügt. Dann aber

auch wenn ich in einem Graph einen Filter-Output-Pin mit einem Subgraph-Pin verbinde. Würde da nicht einer reichen?

 Das ist denke ich Defintionssache.

Ein Data Port benötigt einen Sample Stream.

Ein Subgraph verhält sich wie ein Filter.

Filter zu Filter müssen via Sample Streams verbunden werden.

Zudem ist ein Subgraph ein eigener abgeschlossener Block, der wiederrum seinen Vorgaben unterliegt.

Rein logisch kann ich deinen Gedankengang nachvollziehen.

Martin, ist das so richtig ?

Is there a tool to repair/handle temp recordings, like in ADTF 2?

 Bisher nicht, das ist lauf Kufo Beschluss onhold, weil erst einmal erroiert werden muss, was und wie invalide Files zustande kommen.

Hier hat man auch nur begrenzt Einfluss zu reparieren mit einen Vergleichsfile, deshalb wird das stets beobachtet.

Bisher war es meistens sogar möglich, die tmp Files abzuspielen.

Hast du hier konkreten Bedarf aktuell, auch wie man es z.b synthetisiert ?

#3 - 2020-07-02 16:31 - hidden

Gibt es noch Anmerkungen ?

#4 - 2020-07-09 09:52 - hidden

- Project changed from 7 to Public Support

- Subject changed from EBPRODUCTSUPPORT-7260 [EB Internal] Recording and DemoQtMediadescription Display Bugs - ADTF 3.7.1 +

Configuration Editor improvement? to EBPRODUCTSUPPORT-7260 Recording and visualization issues

- Description updated

- Private changed from Yes to No

Kein weiteres Feedback -> Ticket geschlossen

#5 - 2020-07-09 09:52 - hidden

- Status changed from Customer Feedback Required to To Be Closed

#6 - 2020-07-20 08:52 - hidden

Hi Florian,

der Kollege war im Urlaub und das Ticket hing bei meiner Kollegin die auf Antwort von ihm wartete. Deshalb erst jetzt die Rückmeldung vom

Kollegen:

Dann noch eine Frage: Wenn ich im Subgraph einen Data-Inport mit einem Filter-Pin verbinde, wird ein Sample-Stream eingefügt. Dann

aber auch wenn ich in einem Graph einen Filter-Output-Pin mit einem Subgraph-Pin verbinde. Würde da nicht einer reichen?

 Das ist denke ich Defintionssache.

Ein Data Port benötigt einen Sample Stream.

Ein Subgraph verhält sich wie ein Filter.

Filter zu Filter müssen via Sample Streams verbunden werden.

Zudem ist ein Subgraph ein eigener abgeschlossener Block, der wiederrum seinen Vorgaben unterliegt.

Rein logisch kann ich deinen Gedankengang nachvollziehen.

Martin, ist das so richtig ?

 Das Handling scheint mir halt etwas inconsistent auch mit den Streaming inports beim Filter Graph. IMHO sollte keine Sample Stream vom Data

Inport zum Filter Input Pin eingebaut werden. Zumal zukünftig Sample Streams auch im Ausgabe-Pin docken sollen. Der Data-Inport ist aber nur ein

Verbindungselement, kein Ausgabepin. Ist aber sicher nur eine Feinheit zwei Sample-Streams in Reihe bzw. ein überflüssiger Sample Stream stört ja
nicht groß.

Viele Grüße,

Anja

#7 - 2020-10-06 10:27 - hidden

- Status changed from To Be Closed to Closed
